## subversion 1.6.16-1maemo1

=== debian/changelog ===
subversion (1.6.16-1maemo1) fremantle; urgency=low

  * Merged  with upstream

 --  Nikita Tsukanov <keks9n@gmail.com>  Sun,  22 May 2011 03:53:35 +0400

subversion (1.6.12-3) unstable; urgency=low

  * Added SSL support for https scheme

 -- Sebastien Lelong <sebastien.lelong@gmail.com>  Wed,  7 Jul 2010 18:25:03 +0200

subversion (1.6.12-2) unstable; urgency=low

  * Fix wrong dependency

 -- Sebastien Lelong <sebastien.lelong@gmail.com>  Wed,  7 Jul 2010 18:25:03 +0200

subversion (1.6.12-1) unstable; urgency=low

  * Initial build for N900

 -- Sebastien Lelong <sebastien.lelong@gmail.com>  Wed,  7 Jul 2010 17:46:52 +0200

=== debian/control ===
Source: subversion
Section: devel
Priority: extra
Maintainer: Nikita Tsukanov <keks9n@gmail.com>
Build-Depends: debhelper (>= 5), autotools-dev, libneon29-dev, libapr1-dev, libaprutil1-dev, libxml2-dev, libsqlite3-dev, zlib1g-dev, libexpat1-dev, libssl-dev
Standards-Version: 3.7.2

Package: subversion
Architecture: armel
Depends: libaprutil1
Description: Enterprise-class centralized version control for the masses

=== debian/rules ===
#!/usr/bin/make -f
# -*- makefile -*-
# Sample debian/rules that uses debhelper.
# This file was originally written by Joey Hess and Craig Small.
# As a special exception, when this file is copied by dh-make into a
# dh-make output file, you may use that output file without restriction.
# This special exception was added by Craig Small in version 0.37 of dh-make.

# Uncomment this to turn on verbose mode.
#export DH_VERBOSE=1


# These are used for cross-compiling and for saving the configure script
# from having to guess our platform (since we know it already)
DEB_HOST_GNU_TYPE   ?= $(shell dpkg-architecture -qDEB_HOST_GNU_TYPE)
DEB_BUILD_GNU_TYPE  ?= $(shell dpkg-architecture -qDEB_BUILD_GNU_TYPE)


CFLAGS = -Wall -g

ifneq (,$(findstring noopt,$(DEB_BUILD_OPTIONS)))
	CFLAGS += -O0
else
	CFLAGS += -O2
endif

config.status: configure
	dh_testdir
	# Add here commands to configure the package.
	./configure --prefix=/usr --with-ssl


build: build-stamp

build-stamp:  config.status
	dh_testdir

	# Add here commands to compile the package.
	$(MAKE)
	#docbook-to-man debian/subversion.sgml > subversion.1

	touch $@

clean:
	dh_testdir
	dh_testroot
	rm -f build-stamp 

	# Add here commands to clean up after the build process.
	-$(MAKE) distclean
ifneq "$(wildcard /usr/share/misc/config.sub)" ""
	cp -f /usr/share/misc/config.sub config.sub
endif
ifneq "$(wildcard /usr/share/misc/config.guess)" ""
	cp -f /usr/share/misc/config.guess config.guess
endif


	dh_clean 

install: build
	dh_testdir
	dh_testroot
	dh_clean -k 
	dh_installdirs

	# Add here commands to install the package into debian/subversion.
	$(MAKE) prefix=$(CURDIR)/debian/subversion/usr install


# Build architecture-independent files here.
binary-indep: build install
# We have nothing to do by default.

# Build architecture-dependent files here.
binary-arch: build install
	dh_testdir
	dh_testroot
	dh_installchangelogs CHANGES
	dh_installdocs
	dh_installexamples
#	dh_install
#	dh_installmenu
#	dh_installdebconf	
#	dh_installlogrotate
#	dh_installemacsen
#	dh_installpam
#	dh_installmime
#	dh_python
#	dh_installinit
#	dh_installcron
#	dh_installinfo
	dh_installman
	dh_link
	dh_strip
	dh_compress
	dh_fixperms
#	dh_perl
#	dh_makeshlibs
	dh_installdeb
	#dh_shlibdeps
	dh_gencontrol
	maemo-optify
	dh_md5sums
	dh_builddeb

binary: binary-indep binary-arch
.PHONY: build clean binary-indep binary-arch binary install

## subversion 1.6.19-1+WANdisco

=== debian/tools/Makefile ===
APR_CFLAGS = `apr-config --cppflags --includes --cflags`
SVN_INC = -I$(DEB_SRCDIR)/subversion/include
CFLAGS     += -Wall \
		$(SVN_INC) \
		$(APR_CFLAGS)

all: default-config

default-config: clean svn-make-config
	./svn-make-config

svn-make-config: svn-make-config.o
	libtool --mode=link gcc svn-make-config.o $(DEB_BUILDDIR)/subversion/libsvn_client/libsvn_client-1.la -o svn-make-config

clean:
	$(RM) svn-make-config svn-make-config.o
	rm -rf svn-defaults
	rm -rf .libs

.PHONY: clean

=== debian/changelog ===
subversion (1.6.19-1+WANdisco) stable; urgency=low
 * Version 1.6.19
 * (10 Sep 2012, from /branches/1.6.x)
 * http://svn.apache.org/repos/asf/subversion/tags/1.6.19
 *  Client-side bugfixes:
   * handle missing svn:date reported by svnserve gracefully (r1306111)
 *  Server-side bugfixes:
   * fix possible server hang if a hook script fails to start (r1330410)
   * fix write-through proxy commit regression introduced in 1.6.17 (r1088602)
   * partial sync drops properties when converting to adds (issue #4184)
 *  Developer-visible changes:
   * fix the testsuite to avoid FAILs on APR hash order (r1230714, et al)

 -- Gavin Cox <opensource@wandisco.com>  Thurs, 13 Sept 2012 10:06:00 +0000

subversion (1.6.18WANdisco-1) stable; urgency=low

 * Version 1.6.18
 * (29 Mar 2012, from /branches/1.6.x)
 * http://svn.apache.org/repos/asf/subversion/tags/1.6.18
 *  User-visible changes:
    * reject invalid svn:mergeinfo at commit time over DAV (issue #3953) 
    * fix reintegrate merge regression introduced in 1.6.13 (issue #3957)
    * make the stderr output of the post-commit hook XML-safe (r893478)
    * fix a rare source of FSFS corruption (r1240752)
    * plug a memory leak in the bdb backend (r1205726)
    * server-side performance fix for "log -g" (r1152282)
    * fix description of svndumpfilter's --targets option (r1151911)
    * fix datastream corruption during resumed transfer in ra_serf (r1154733)
    * fix a crash in ra_svn SASL authentication (r1166555, -678)
    * fix potential corruption on 32-bit FSFS with large files (r1230212)
    * make website links point to subversion.apache.org (r896893, -901, r915036)
    * fix non-fatal FSFS corruption bug with concurrent commits (issue #4129)
 *  Developer-visible changes:
    * fix sqlite distfile retrieval in get-deps.sh (r1134734)
    * fix swig-py memory leak (r1235264, -296, -302, -736)
    * allow passing --with-jdk to gen-make.py on Windows (r966167)

 -- Mark Poole <mark.poole@wandisco.com>  Mon, 16 Apr 2012 20:38:00 -0000

subversion (1.6.17WANdisco-1) stable; urgency=low

  * Version 1.6.17
  * (01 Jun 2011, from /branches/1.6.x)
  * http://svn.apache.org/repos/asf/subversion/tags/1.6.17
  *  User-visible changes:
  * improve checkout speed on Windows (issue #3719)
  * make 'blame -g' more efficient on with large mergeinfo (r1094692)
  * avoid some invalid handle exceptions on Windows (r1095654)
  * preserve log message with a non-zero editor exit (r1072084)
  * fix FSFS cache performance on 64-bit platforms (r1103665)
  * make svn cleanup tolerate obstructed directories (r1091881)
  * fix deadlock in multithreaded servers serving FSFS repositories (r1104093)
  * detect very occasional corruption and abort commit (issue #3845)
  * fixed: file externals cause non-inheritable mergeinfo (issue #3843)
  * fixed: file externals cause mixed-revision working copies (issue #3816)
  * fix crash in mod_dav_svn with GETs of baselined resources (r1104126)
  * See CVE-2011-1752, and descriptive advisory at
  * http://subversion.apache.org/security/CVE-2011-1752-advisory.txt
  * fixed: write-through proxy could direcly commit to slave (r917523)
  * detect a particular corruption condition in FSFS (r1100213)
  * improve error message when clients refer to unkown revisions (r939000)
  * bugfixes and optimizations to the DAV mirroring code (r878607)
  * fixed: locked and deleted file causes tree conflict (issue #3525)
  * fixed: update touches locked file with svn:keywords property (issue #3471)
  * fix svnsync handling of directory copyfrom (issue #3641)
  * fix 'log -g' excessive duplicate output (issue #3650)
  * fix svnsync copyfrom handling bug with BDB (r1036429)
  * server-side validation of svn:mergeinfo syntax during commit (issue #3895)
  * fix remotely triggerable mod_dav_svn DoS
  * See CVE-2011-1783, and descriptive advisory at
  * http://subversion.apache.org/security/CVE-2011-1783-advisory.txt
  * fix potential leak of authz-protected file contents
  * See CVE-2011-1921, and descriptive advisory at
  * http://subversion.apache.org/security/CVE-2011-1921-advisory.txt
  * Developer-visible changes:
  * fix reporting FS-level post-commit processing errors (r1104098)
  * fix JVM recognition on OS X Snow Leopard (10.6) (r1028084)
  * allow building on Windows with recent Expat (r1074572)
  
 -- Mark Poole <mark.poole@wandisco.com>  Mon, 30 May 2011 19:02:00 -0000

subversion (1.6.16WANdisco-1) stable; urgency=low

  * Version 1.6.16
  * (02 Mar 2011, from /branches/1.6.x)
  * http://svn.apache.org/repos/asf/subversion/tags/1.6.16
  * User-visible changes:
  * more improvement to the 'blame -g' memory leak from 1.6.15 (r1041438)
  * avoid a crash in mod_dav_svn when using locks (r1071239, -307)
  * See CVE-2011-0715, and descriptive advisory at
  *          http://subversion.apache.org/security/CVE-2011-0715-advisory.txt
  * avoid unnecessary globbing for performance (r1068988)
  * don't add tree conflicts when one already exists (issue #3486)
  * fix potential crash when requesting mergeinfo (r902467)
  * don't attempt to resolve prop conflicts in 'merge --dry-run' (r880146)
  * more fixes for issue #3270.
  *  Developer-visible changes:
  * ensure report_info_t is properly initialized by ra_serf (r1058722)
  * locate errors properly on a malfunction (r1053208)
  * fix output param timing of svn_fs_commit_txn() on fsfs (r1051751)
  * for svn_fs_commit_txn(), set invalid rev on failed commit (r1051632, -8)
  * fix sporadic Ruby bindings test failures (r1038792)
  * fix JavaHL JVM object leak when dumping large revisions (r947006)
  * use Perl to resolve symlinks when building swig-pl (r1039040)
  * allow Perl bindings to build within a symlinked working copy (r1036534)
  * don't overwrite the LD_LIBRARY_PATH during make check-swig-pl (r946355)
  * improve unit tests for some fs functions (r1051744, -5, -3185, -241)

 -- Mark Poole <mark.poole@wandisco.com>  Wed, 02 Mar 2010 09:18:00 -0000



=== debian/control ===
Source: subversion
Section: vcs
Priority: optional
Maintainer: Mark Poole <mark.poole@wandisco.com>
Build-Depends: debhelper, libneon27-gnutls-dev, libserf-dev (>= 1.0.0-1), zlib1g-dev,
               libapr1-dev, libaprutil1-dev, libdb4.8-dev,
               libsasl2-dev, apache2-threaded-dev,
               libsqlite3-dev (>= 3.4), libgnome-keyring-dev, libdbus-1-dev, kdelibs5-dev,
               quilt, doxygen, autotools-dev, autoconf, libtool, swig,
               python-all-dev, python-support,
               perl, libperl-dev, ruby1.8, ruby1.8-dev,
               junit [!alpha !arm !hppa !m68k !mips !mipsel !hurd-i386]
Build-Conflicts: libsvn-dev (<< 1.6)
XS-Python-Version: 2.4, 2.5, 2.6
Homepage: http://subversion.apache.org/
Standards-Version: 0.1

Package: subversion
Architecture: any
Depends: libsvn1 (= ${binary:Version}), ${shlibs:Depends}
Suggests: subversion-tools, db4.8-util, patch
Description: Advanced version control system
 Subversion, also known as svn, is a version control system much like
 the Concurrent Versions System (CVS).  Version control systems allow
 many individuals (who may be distributed geographically) to
 collaborate on a set of files (typically source code).  Subversion has
 all the major features of CVS, plus certain new features that CVS
 users often wish they had.
 .
 This package includes the Subversion client (svn), tools to create a
 Subversion repository (svnadmin) and to make a repository available
 over a network (svnserve).

Package: libsvn1
Architecture: any
Depends: ${shlibs:Depends}
Description: Shared libraries used by Subversion
 This package includes shared libraries to manipulate Subversion (svn)
 repositories and working copies.  See the 'subversion' package for
 more information.

Package: libsvn-dev
Priority: extra
Architecture: any
Depends: libsvn1 (= ${binary:Version}), libapr1-dev, libaprutil1-dev
Suggests: libsvn-doc, zlib1g-dev, libneon27-gnutls-dev
Description: Development files for Subversion libraries
 This package contains the symlinks, headers, and object files needed
 to compile and link programs which use libsvn1, the Subversion
 libraries.  This package is needed only in order to compile software
 that uses libsvn1.

Package: libsvn-doc
Suggests: libsvn-dev
Section: doc
Priority: extra
Architecture: all
Description: Developer documentation for libsvn
 This package contains development (API) documentation for libsvn1, the
 Subversion libraries.  See the 'libsvn1' package for more information.

Package: libapache2-svn
Section: httpd
Architecture: any
Depends: apache2.2-common, ${shlibs:Depends}
Suggests: db4.8-util
Description: Subversion server modules for Apache
 This package provides the mod_dav_svn and mod_authz_svn modules for
 the Apache 2.2 web server.  These modules provide Subversion's WebDAV
 server backend, to serve repositories over the http and https
 protocols.  See the 'subversion' package for more information.

Package: python-subversion
Section: python
Architecture: any
Depends: subversion, ${shlibs:Depends}, ${Python:Depends}
Provides: ${python:Provides}
Description: Python bindings for Subversion
 This is a set of Python interfaces to libsvn, the Subversion
 libraries.  It is useful if you want to, for example, write a Python
 script that manipulates a Subversion repository or working copy.  See
 the 'subversion' package for more information.

Package: subversion-tools
Priority: extra
Architecture: all
Depends: subversion (>= 1.5)
Recommends: python-subversion (>= 1.5), libsvn-perl (>= 1.5),
            libconfig-inifiles-perl, liburi-perl,
            exim4 | mail-transport-agent, xsltproc, rsync
Suggests: libsvn-ruby1.8
Description: Assorted tools related to Subversion
 This package includes miscellaneous tools for use with Subversion
 clients and servers:
  * svn-backup-dumps: Incremental dumpfile-based backup script
  * svn-bisect: Bisect revisions to find a regression
  * svn-clean: Remove unversioned files from a working copy
  * svn-fast-backup: rsync-based backup script for FSFS repositories
  * svn-hot-backup: Backup script, primarily for BDB repositories
  * svn_apply_autoprops: Apply property settings from
    .subversion/config file to an existing repository
  * svn_load_dirs: Sophisticated replacement for 'svn import'
  * svn2cl: Generate GNU-style changelog from repository history
  * svnmerge: Maintain merge history between two related branches
    (mostly obsolete as of Subversion 1.5)
  * svnwrap: Set umask to 002 before calling svn or svnserve
  * several example hook scripts: commit-access-control, commit-email,
    log-police, mailer, svnperms, verify-po
 .
 NOTE that some of these scripts are unsupported by upstream, and may
 change radically or disappear in future releases.  The Recommended
 packages are each required by at least one of these scripts.

Package: libsvn-java
Section: java
Architecture: any
Depends: gij | java5-runtime-headless, libsvn1 (= ${binary:Version}), ${shlibs:Depends}
Description: Java bindings for Subversion
 This is a set of Java classes which provide the functionality of
 libsvn, the Subversion libraries.  It is useful if you want to, for
 example, write a Java class that manipulates a Subversion repository
 or working copy.  See the 'subversion' package for more information.

Package: libsvn-perl
Section: perl
Architecture: any
Depends: ${perl:Depends}, ${shlibs:Depends}
Description: Perl bindings for Subversion
 This is a set of Perl interfaces to libsvn, the Subversion libraries.
 It is useful if you want to, for example, write a Perl script that
 manipulates a Subversion repository or working copy.  See the
 'subversion' package for more information.

Package: libsvn-ruby1.8
Section: ruby
Architecture: any
Depends: ruby1.8, ${shlibs:Depends}
Description: Ruby bindings for Subversion
 This is a set of Ruby interfaces to libsvn, the Subversion libraries.
 It is useful if you want to, for example, write a Ruby script that
 manipulates a Subversion repository or working copy.  See the
 'subversion' package for more information.

Package: libsvn-ruby
Section: ruby
Architecture: all
Depends: libsvn-ruby1.8
Description: Ruby bindings for Subversion (dummy package)
 This is a dummy package to install the Subversion library bindings for
 the default version of Ruby.

=== debian/rules ===
#!/usr/bin/make -f

# DEB_BUILD_OPTIONS supported:
#   noopt       Compile with gcc -O0 rather than -O2
#   nostrip     Do not strip binaries and libraries
#   debug       Enable additional debug support
#   nocheck     Skip test suites (synonym 'notest')
#   with-javahl, no-javahl |
#   with-apache, no-apache | enable/disable certain packages
#   with-ruby, no-ruby     |

export DEB_HOST_GNU_TYPE  ?= $(shell dpkg-architecture -qDEB_HOST_GNU_TYPE)
export DEB_BUILD_GNU_TYPE ?= $(shell dpkg-architecture -qDEB_BUILD_GNU_TYPE)
export DEB_HOST_ARCH      ?= $(shell dpkg-architecture -qDEB_HOST_ARCH)

# Fully functional Java support is still a bit spotty on some Debian
# architectures.  DISABLE_JAVAHL_ARCHS overrides ENABLE_JAVAHL=yes.
# Note: the Build-Depends line in debian/control must be kept in sync
# with DISABLE_JAVAHL_ARCHS.

ENABLE_JAVAHL        := yes
DISABLE_JAVAHL_ARCHS := alpha arm hppa m68k mips mipsel hurd-i386
ifneq (,$(filter $(DEB_HOST_ARCH), $(DISABLE_JAVAHL_ARCHS)))
  ENABLE_JAVAHL :=
endif

# We may need to disable libapache2-svn and/or libsvn-ruby*.
ENABLE_APACHE        := yes
ENABLE_RUBY          := yes
DEB_BUILD_OPTIONS=nocheck
DEB_OPT_NOCHECK=nocheck
DEB_BUILDDIR     := BUILD
MAKE_B           := $(MAKE) -C $(DEB_BUILDDIR)

export LANG := C
export HOME := $(DEB_BUILDDIR)/dummy_home

include /usr/share/quilt/quilt.make

# ENABLE_FOO -> DEB_OPT_WITH_FOO=1
# DEB_BUILD_OPTIONS='foo bar' -> DEB_OPT_FOO=1, DEB_OPT_BAR=1
# DEB_BUILD_OPTIONS='no-foo' -> DEB_OPT_WITH_FOO=""
$(foreach o, JAVAHL APACHE RUBY, $(if $(filter y yes 1,$(ENABLE_$o)), \
    $(eval DEB_OPT_WITH_$o := 1),$(eval DEB_OPT_WITH_$o :=)))
d_b_o:=$(shell echo "$$DEB_BUILD_OPTIONS" | tr 'a-z-,' 'A-Z_ ')
$(foreach o, $(d_b_o), \
  $(if $(findstring =,$o), $(eval DEB_OPT_$o), $(eval DEB_OPT_$o := 1)))
$(foreach o, $(filter NO_%,$(d_b_o)), $(eval DEB_OPT_$(subst NO_,WITH_,$o) :=))
$(if $(DEB_OPT_PARALLEL),$(eval MAKEFLAGS += -j$(DEB_OPT_PARALLEL)))

# How to fix "#!/usr/bin/env " lines:  $(call fix_shebangs_in, /your/dir)
fix_shebangs_in = \
	find $1 -type f | xargs -r egrep -m1 -c '^\#! ?/' | sed -n 's/:1//p' |\
	xargs -r sed -i -e 's:^\#! */usr/bin/env perl.*:\#!/usr/bin/perl -w:' \
			-e 's:^\#! */usr/bin/env pyth.*:\#!/usr/bin/python:' \
			-e 's:^\#! */usr/bin/env ruby.*:\#!/usr/bin/$(RUBY):'

PERL_DIR := $(DEB_BUILDDIR)/subversion/bindings/swig/perl/native
PY_DIR := $(DEB_BUILDDIR)/subversion/bindings/swig/python
PYVERSIONS := $(shell pyversions -vi)

allpy = \
	set -e; for v in $(PYVERSIONS); do \
		$(RM) $(PY_DIR); \
		ln -fs python$$v $(PY_DIR); \
		pylib=$$(python$$v -c 'from distutils import sysconfig; print sysconfig.get_python_lib()'); \
		$1; \
	done

confflags := \
		--prefix=/usr \
		--mandir=\$${prefix}/share/man \
		--with-apr=/usr \
		--with-apr-util=/usr \
		--with-neon=/usr \
		--with-berkeley-db=:::db \
		--with-sasl=/usr \
		--with-editor=/usr/bin/editor \
		--with-ruby-sitedir=/usr/lib/ruby \
		--with-swig=/usr \
		--with-kwallet \
		--with-gnome-keyring

ifdef DEB_OPT_DEBUG
  confflags+= --enable-debug 
endif
export EXTRA_CFLAGS := -O2
ifdef DEB_OPT_NOOPT
  EXTRA_CFLAGS := -O0
endif

export DH_OPTIONS
ifdef DEB_OPT_WITH_JAVAHL
  # jikes 1.22 cannot compile javahl.
  confflags += --enable-javahl --with-jdk=/opt/jdk \
               --with-junit=/usr/share/java/junit.jar
else
  DH_OPTIONS += -Nlibsvn-java
  confflags += --disable-javahl
endif

ifdef DEB_OPT_WITH_APACHE
  confflags += --with-apxs=/usr/bin/apxs2 --disable-mod-activation
else
  confflags += --without-apxs
  DH_OPTIONS += -Nlibapache2-svn
endif

RUBY := $(shell dh_listpackages | sed -ne '/libsvn-ruby1/s//ruby1/p')
ifndef DEB_OPT_WITH_RUBY
  DH_OPTIONS += -Nlibsvn-ruby -Nlibsvn-$(RUBY)
  RUBY := fooby
endif


# Set autoconf cross-compile mode correctly.
# Also disable testsuite if cross-compiling.
ifeq ($(DEB_BUILD_GNU_TYPE), $(DEB_HOST_GNU_TYPE))
  confflags += --build $(DEB_HOST_GNU_TYPE)
else
  confflags += --build $(DEB_BUILD_GNU_TYPE) --host $(DEB_HOST_GNU_TYPE)
  DEB_OPT_NOCHECK := 1
endif


# I'm not trying to be difficult: this check exists because building as
# root really _does_ fail.  The failure mode as of 1.4.0 is test 17
# from switch_tests.py.  Upstream response is "so don't build as root".
# (fakeroot does not fail, as it does not wrap the access(2) syscall.)
#
# We run this code from build-arch, since that's what actually fails as
# root, but also from autogen, since that will halt the build earlier.
define DONT_BE_ROOT
	@if [ $$(id -u) = 0 ] && [ -z "$(FAKEROOTKEY)" ]; then \
		echo >&2 "***"; \
		echo >&2 "*** Building as root is not supported ***"; \
		false; \
	fi
endef

debian/stamp-autogen: $(QUILT_STAMPFN)
	$(DONT_BE_ROOT)
	./autogen.sh
	touch $@

debian/stamp-configure: $(QUILT_STAMPFN) debian/stamp-autogen
	dh_testdir

	test -e patches || ln -s debian/patches patches
	mkdir -p $(DEB_BUILDDIR)
	cd $(DEB_BUILDDIR) && \
		PYTHON=/usr/bin/python RUBY=/usr/bin/$(RUBY) \
		$(CURDIR)/configure $(confflags)

	# Subversion upstream ships with Swig 1.3.25 pregenerated
	# files, which may interact badly with the build if Debian swig
	# is not version 1.3.25 - particularly with swig 1.3.24.
	# Thus we unconditionally delete the pregenerated files.
	+$(MAKE_B) extraclean-swig
	for v in $(PYVERSIONS); do \
		cp -la $(PY_DIR) $(PY_DIR)$$v; \
	done
	$(RM) -r $(PY_DIR)

	touch $@

build: debian/stamp-build-arch debian/stamp-build-indep

check_defs := CLEANUP=true LC_ALL=C
check_swig := check-swig-py check-swig-pl $(if $(DEB_OPT_WITH_RUBY),check-swig-rb)
check_all := $(check_swig) $(if $(DEB_OPT_WITH_JAVAHL),check-javahl) check
check-help:
	@echo "$(MAKE) $(check_all)"

check check-swig-rb check-javahl: debian/stamp-build-arch
	+$(MAKE_B) $@ $(check_defs)

check-swig-pl: debian/stamp-build-arch
	+$(MAKE_B) $@ $(check_defs)
	$(MAKE) -C $(PERL_DIR) test LC_ALL=C

check-swig-py: debian/stamp-build-arch
	$(call allpy, \
	  $(MAKE_B) $@ PYTHON=python$$v PYVER=$$v $(check_defs))

build-arch: debian/stamp-build-arch
debian/stamp-build-arch: debian/stamp-configure
	dh_testdir
	$(DONT_BE_ROOT)

	# note: autogen-swig does not support -jN
	$(call allpy, $(MAKE_B) -j1 autogen-swig)
	+$(MAKE_B) all tools
	$(call allpy, \
	  $(MAKE_B) swig-py PYTHON=python$$v PYVER=$$v \
	            PYTHON_INCLUDES=-I/usr/include/python$$v \
	            swig_pydir=$$pylib/libsvn swig_pydir_extra=$$pylib/svn)
	# note: swig-pl seems to have trouble with -jN
	+$(MAKE_B) -j1 swig-pl
	$(MAKE) -C $(PERL_DIR) all \
		OPTIMIZE="-g -Wall $(EXTRA_CFLAGS)"
ifdef DEB_OPT_WITH_RUBY
	+$(MAKE_B) swig-rb
endif
ifdef DEB_OPT_WITH_JAVAHL
	+$(MAKE_B) -j1 javahl
endif
	touch $@

ifndef DEB_OPT_NOCHECK
	@echo "###################################################"
	@echo "Running testsuite - may take a while.  To disable,"
	@echo "use DEB_BUILD_OPTIONS=nocheck or edit debian/rules."
	@echo
	$(MAKE) -f debian/rules $(check_swig)

  ifdef DEB_OPT_WITH_JAVAHL
	# This fails on current free JVMs, according to Blair Zajac.
	# Thus the "-" prefix, to ignore failure, for now.
	-$(MAKE) -f debian/rules check-javahl
  endif

	# Run 'check' last, as it takes longest.  'cat tests.log' is for
	# obtaining diagnostics from buildd logs.
	@if ! $(MAKE) -f debian/rules check; then \
	  echo "###################################################"; \
	  echo "Testsuite failed, 'tests.log' follows:"; echo; \
	  cat $(DEB_BUILDDIR)/tests.log; \
	  exit 1; \
	fi
endif
	touch $@

build-indep: debian/stamp-build-indep
debian/stamp-build-indep: debian/stamp-configure
	+$(MAKE_B) doc-api
	touch $@

clean: unpatch
	dh_testdir
	dh_clean
	$(RM) patches
	$(MAKE) -C debian/tools clean
	$(RM) -r $(DEB_BUILDDIR)
	find * -name \*.pyc -print0 | xargs -0 $(RM)
	# these are (re)generated by autogen.sh
	$(RM) subversion/bindings/swig/proxy/*.swg
	$(RM) configure build/libtool.m4 build/ltmain.sh
	$(RM) debian/stamp-*

debian/stamp-install-common:
	dh_testdir
	dh_testroot
	dh_clean -k
	for package in `dh_listpackages` ; do \

=== debian/watch ===
# 'man uscan' for the format and usage of this file
version=3
opts=dversionmangle=s/\.WANdisco\d+$// \
  http://subversion.tigris.org/servlets/ProjectDocumentList?folderID=260&expandFolder=74 \
  http://subversion.tigris.org/downloads/subversion-(\d+.\d+.\d+).tar.gz

## subversion 1.7.6-1+WANdisco

=== debian/changelog ===
subversion (1.7.6-1+WANdisco) stable; urgency=low
  * Version 1.7.6
  * (15 Aug 2012, from /branches/1.7.x)
  * http://svn.apache.org/repos/asf/subversion/tags/1.7.6
  * User-visible changes:
   * Client- and server-side bugfixes:
   * Client-side bugfixes:
     * Fix "svn status -u --depth empty FILE" (r1348822, r1349215)
     * Fix example output of 'svn help status' (issue #3962)
     * svn propset of svn:eol-style might not notice related text changes (r1353572)
     * sort output of 'svn propget -R' (r1355699)
     * sort output of 'svn proplist' (r1355698)
     * sort output of 'svn status' (r1341012)
     * avoid a filestat per working copy find operation (r1340556)
     * optimize 'svn upgrade' performance on large working copies (r1342984)
     * allow 'file:///C:\repos' style arguments on Windows, like 1.6 (r1346765)
     * fix ra_serf against Subversion 1.2 servers (r1349367)
     * fix 'svn upgrade' on working copies with certain tree conflicts (r1345482)
     * avoid workqueue references to system temp dir (r1367854)
     * allow non-existant canonical paths (r1367853)
     * fix 'svn revert --depth files' to operate on files (r1365554)
     * fix ra_serf XML namespace handling against malicious server (r1337441)
     * fix relocate with server-relative externals (issue 4216)
     * change two asserts into errors for TortoiseSVN (r1368128, r1368065)
     * don't attempt to anchor an operation outside a wc root (r1361341)
  * Server-side bugfixes:
     * partial sync drops properties when converting to adds (issue #4184)
     * replaying a copy and delete of an unreadable child fails (issue #4121)
     * allow svnlook to operate on r0 (r1362508)
     * make FSFS revision files independent of APR hash order (r1367498)
  * Other tool improvements and bugfixes:
     * move mod_dontdothat to install-tools (r1307177)
  * Developer-visible changes:
    General:
     * fix running tests against httpd 2.4 (r1291594)
     * use constant struct initialisers for C89 compatibility (r1352068)
  * Bindings:
     * JavaHL: Don't assert on some invalid input (r1354626, r1354652)
     * JavaHL: Add missing new in 1.7 notifications (r1351772)

 -- Gavin Cox <opensource@wandisco.com>  Mon, 13 Aug 2012 10:30:00 +0000

subversion (1.7.5-1+WANdisco) stable; urgency=low
  * Version 1.7.5
  * (17 May 2012, from /branches/1.7.x)
  * http://svn.apache.org/repos/asf/subversion/tags/1.7.5
  * User-visible changes:
    * Client- and server-side bugfixes:
      * http: report deleted-revision upon delete during update (r1327474)
    * Client-side bugfixes:
      * avoid potential segfault when canonicalizing properties (r1296369)
      * improve memory and file-handle management with externals (issue #4130)
      * serf: convert assertions to "MERGE failed" errors (r1302417)
      * fix undefined behaviour during multi-segment reverse merges (issue #4144)
      * fix potential use of already freed memory during diff operation (r1311935)
      * improve performance of scan for the working copy root (r1306334)
      * cmdline: fix segfault during 'svn diff' argument processing (r1311702)
      * fix regression from 1.6 in update with --depth option (issue #4136)
      * propset: avoid undefined behaviour in error path (r1325361)
      * reset sqlite statements, partly for sqlite-3.7.11 compat (r1328846, et al)
      * fix assertion during 'svn diff -r BASE:HEAD ^/trunk' (issue #4161)
      * notify upon 'update' just removing locks on files (r1329876)
      * neon: fix potential use of freed memory during commits (r1329388)
      * 'status --xml' doesn't show repository deletes correctly (issue #4167)
      * fix assert on svn:externals with drive letter on Windows (issue #4073)
      * fix 'svn update --depth=empty' against 1.4 servers (issue #4046)
      * handle missing svn:date reported by svnserve gracefully (r1306111)
      * fix merges which first add a subtree and then delete it (issue #4166)
      * fix a regression with checkout of file externals (issue #4087)
      * don't add spurious mergeinfo to subtrees in edge-case merge (issue #4169)
      * improve performance of status on large working copies (issue #4178)
     * Server-side bugfixes:
      * fix non-fatal FSFS corruption bug with concurrent commits (issue #4129)
      * mod_dav_svn: raise an error on MERGE of non-existent resource (r1298343)
      * mod_dav_svn: support compiling/running under httpd-2.4 (r1232267)
      * mod_dav_svn: forbid BDB repositories under httpd's event MPM (issue #4157)
     * Other tool improvements and bugfixes:
      * emacs support: updates to dsvn.el and vc-svn.el (r1200896, et al)
      * Developer-visible changes:
    * General:
      * windows example distribution scripts: include svnrdump (r1295007)
      * fix running the test suite with jsvn (r1335555)
    * Bindings:
      * swig-py tests: avoid FAILs on APR hash order (r1296137, r1292248)
      * swig-rb tests: avoid FAILs on APR hash order (r1310535, r1310594)
      * swig-pl: Improved perl detection in gen-make.py (r1291797, r1291810)
 
 -- Gavin Cox <opensource@wandisco.com>  Tue, 16 May 2012 15:31:00 +0000

subversion (1.7.4-1+WANdisco) stable; urgency=low
  * Version 1.7.4
  * (08 Mar 2012, from /branches/1.7.x)
  * http://svn.apache.org/repos/asf/subversion/tags/1.7.4
  *  User-visible changes:
    * fix 'svn log --diff' for moved paths (r1210147, et al)
    * fix ra_serf problem with reading directory entries via HTTPv2 -(r1238121)
    * prepend "sqlite:" to error messages from SQLite (r1245738, -817)
    * fix randomly missing "Merged via" notifications in 'svn log -g' (r1293229)
    * fix spurious conflict when merging deleted symbolic link (issue #4052)
    * fix URL-to-WC copy of externals on Windows (issue #4123)
    * improve an FSFS sanity-check error message (r1294470)
    * fix regressions with symlinks pointing at externals (issue #4102)
    * fix 'svn log --diff' output ordering issue on Windows (r1295671)


=== debian/control ===
--- 
+++ 
@@ -1,19 +1,18 @@
 Source: subversion
 Section: vcs
 Priority: optional
-Maintainer: Mark Poole <mark.poole@wandisco.com>
-Build-Depends: debhelper, libneon27-gnutls-dev, libserf-dev (>= 1.0.0-1), zlib1g-dev,
-               libapr1-dev, libaprutil1-dev, libdb4.8-dev,
+Maintainer: Mark Poole <mark@wandisco.com>
+Build-Depends: debhelper, libneon27-gnutls-dev, libserf-0-0-dev (>= 0.2.0-1), zlib1g-dev,
+               libapr1-dev, libaprutil1-dev, libdb4.6-dev,
                libsasl2-dev, apache2-threaded-dev,
                libsqlite3-dev (>= 3.4), libgnome-keyring-dev, libdbus-1-dev, kdelibs5-dev,
                quilt, doxygen, autotools-dev, autoconf, libtool, swig,
                python-all-dev, python-support,
                perl, libperl-dev, ruby1.8, ruby1.8-dev,
                junit [!alpha !arm !hppa !m68k !mips !mipsel !hurd-i386]
-Build-Conflicts: libsvn-dev (<< 1.6)
-XS-Python-Version: 2.4, 2.5, 2.6
+Build-Conflicts: libsvn-dev (<< 1.7~)
+XS-Python-Version: >= 2.4, << 3.0
 Homepage: http://subversion.apache.org/
-Standards-Version: 0.1
 
 Package: subversion
 Architecture: any
@@ -73,8 +72,9 @@
 Package: python-subversion
 Section: python
 Architecture: any
-Depends: subversion, ${shlibs:Depends}, ${Python:Depends}
+Depends: subversion, python (>= 2.4)
 Provides: ${python:Provides}
+XB-Python-Version: ${python:Versions}
 Description: Python bindings for Subversion
  This is a set of Python interfaces to libsvn, the Subversion
  libraries.  It is useful if you want to, for example, write a Python
@@ -84,10 +84,10 @@
 Package: subversion-tools
 Priority: extra
 Architecture: all
-Depends: subversion (>= 1.5)
-Recommends: python-subversion (>= 1.5), libsvn-perl (>= 1.5),
+Depends: subversion (>= 1.7)
+Recommends: python-subversion, libsvn-perl,
             libconfig-inifiles-perl, liburi-perl,
-            exim4 | mail-transport-agent, xsltproc, rsync
+            exim4 | mail-transport-agent, rsync, svn2cl
 Suggests: libsvn-ruby1.8
 Description: Assorted tools related to Subversion
  This package includes miscellaneous tools for use with Subversion
@@ -100,16 +100,9 @@
   * svn_apply_autoprops: Apply property settings from
     .subversion/config file to an existing repository
   * svn_load_dirs: Sophisticated replacement for 'svn import'
-  * svn2cl: Generate GNU-style changelog from repository history
-  * svnmerge: Maintain merge history between two related branches
-    (mostly obsolete as of Subversion 1.5)
   * svnwrap: Set umask to 002 before calling svn or svnserve
   * several example hook scripts: commit-access-control, commit-email,
     log-police, mailer, svnperms, verify-po
- .
- NOTE that some of these scripts are unsupported by upstream, and may
- change radically or disappear in future releases.  The Recommended
- packages are each required by at least one of these scripts.
 
 Package: libsvn-java
 Section: java

=== debian/rules ===
--- 
+++ 
@@ -13,9 +13,12 @@
 export DEB_BUILD_GNU_TYPE ?= $(shell dpkg-architecture -qDEB_BUILD_GNU_TYPE)
 export DEB_HOST_ARCH      ?= $(shell dpkg-architecture -qDEB_HOST_ARCH)
 
+# Disable test suite
+export DEB_OPT_NOCHECK=yes
+
 # Fully functional Java support is still a bit spotty on some Debian
 # architectures.  DISABLE_JAVAHL_ARCHS overrides ENABLE_JAVAHL=yes.
-# Note: the Build-Depends line in debian/control must be kept in sync
+# Note: the Build-Depends line in /control must be kept in sync
 # with DISABLE_JAVAHL_ARCHS.
 
 ENABLE_JAVAHL        := yes
@@ -27,8 +30,7 @@
 # We may need to disable libapache2-svn and/or libsvn-ruby*.
 ENABLE_APACHE        := yes
 ENABLE_RUBY          := yes
-DEB_BUILD_OPTIONS=nocheck
-DEB_OPT_NOCHECK=nocheck
+
 DEB_BUILDDIR     := BUILD
 MAKE_B           := $(MAKE) -C $(DEB_BUILDDIR)
 
@@ -70,9 +72,11 @@
 confflags := \
 		--prefix=/usr \
 		--mandir=\$${prefix}/share/man \
+		--with-custom-libtool=libtool \
 		--with-apr=/usr \
 		--with-apr-util=/usr \
 		--with-neon=/usr \
+		--with-serf=/usr \
 		--with-berkeley-db=:::db \
 		--with-sasl=/usr \
 		--with-editor=/usr/bin/editor \
@@ -91,8 +95,7 @@
 
 export DH_OPTIONS
 ifdef DEB_OPT_WITH_JAVAHL
-  # jikes 1.22 cannot compile javahl.
-  confflags += --enable-javahl --with-jdk=/opt/jdk \
+  confflags += --enable-javahl --with-jdk=/opt/jdk --without-jikes \
                --with-junit=/usr/share/java/junit.jar
 else
   DH_OPTIONS += -Nlibsvn-java
@@ -147,11 +150,13 @@
 	dh_testdir
 
 	test -e patches || ln -s debian/patches patches
-	mkdir -p $(DEB_BUILDDIR)
+	mkdir -p $(DEB_BUILDDIR) $(HOME)
 	cd $(DEB_BUILDDIR) && \
 		PYTHON=/usr/bin/python RUBY=/usr/bin/$(RUBY) \
 		$(CURDIR)/configure $(confflags)
 
+	# Copy swig bindings over
+	cp -R subversion/bindings/* BUILD/subversion/bindings/
 	# Subversion upstream ships with Swig 1.3.25 pregenerated
 	# files, which may interact badly with the build if Debian swig
 	# is not version 1.3.25 - particularly with swig 1.3.24.
@@ -166,7 +171,7 @@
 
 build: debian/stamp-build-arch debian/stamp-build-indep
 
-check_defs := CLEANUP=true LC_ALL=C
+check_defs := CLEANUP=1 LC_ALL=C
 check_swig := check-swig-py check-swig-pl $(if $(DEB_OPT_WITH_RUBY),check-swig-rb)
 check_all := $(check_swig) $(if $(DEB_OPT_WITH_JAVAHL),check-javahl) check
 check-help:
@@ -191,6 +196,8 @@
 	# note: autogen-swig does not support -jN
 	$(call allpy, $(MAKE_B) -j1 autogen-swig)
 	+$(MAKE_B) all tools
+	# Run svn once, to make sure it populates $(HOME)/.subversion/*
+	$(DEB_BUILDDIR)/subversion/svn/svn --version > /dev/null
 	$(call allpy, \
 	  $(MAKE_B) swig-py PYTHON=python$$v PYVER=$$v \
 	            PYTHON_INCLUDES=-I/usr/include/python$$v \
@@ -240,16 +247,6 @@
 	dh_testdir
 	dh_clean
 	$(RM) patches
-	$(MAKE) -C debian/tools clean
+	! [ -f $(DEB_BUILDDIR)/Makefile ] || $(MAKE_B) extraclean-swig distclean
 	$(RM) -r $(DEB_BUILDDIR)
-	find * -name \*.pyc -print0 | xargs -0 $(RM)
-	# these are (re)generated by autogen.sh
-	$(RM) subversion/bindings/swig/proxy/*.swg
-	$(RM) configure build/libtool.m4 build/ltmain.sh
-	$(RM) debian/stamp-*
-
-debian/stamp-install-common:
-	dh_testdir
-	dh_testroot
-	dh_clean -k
-	for package in `dh_listpackages` ; do \
+	$(RM) build-outputs.mk gen-make.opts subversion/svn_private_config.h.in

=== debian/watch ===
# 'man uscan' for the format and usage of this file
version=3
opts=dversionmangle=s/\.dfsg\d+$// \
  http://subversion.tigris.org/servlets/ProjectDocumentList?folderID=260&expandFolder=74 \
  http://subversion.tigris.org/downloads/subversion-(\d+.\d+.\d+).tar.gz
